Subject: Re: RFE: "git bisect reverse"

From: Sam Vilain <[email-masked]>
Date: Wed, 27 May 2009 15:00:02 +1200

H. Peter Anvin wrote:
> I would like to request the following feature:
>
> "git bisect reverse"
>
> ... does exactly the same thing as "git bisect start", except that it
> flips the meaning of "good" and "bad".  It is mentally fairly taxing to
> do a reverse bisection (looking for an antiregression) when one has to
> flip the meaning of "good" and "bad" (which are very loaded words to our
> psyche), and it's even worse to try to get a user to do it...
>   

Oh, yes.  And another thing: 'git bisect run' / 'git bisect skip'
doesn't do a very good job of skipping around broken commits (ie when
the script returns 126).  It just seems to move to the next one; it
would be much better IMHO to first try the commit 1/3rd of the way into
the range, then if that fails, the commit 2/3rd of the way through it, etc.

Sam.